Skip to content
Primary navigation

Add project group

POST/organization/projects/{project_id}/groups

Grants a group access to a project.

Path ParametersExpand Collapse
project_id: string
Body ParametersJSONExpand Collapse
group_id: string

Identifier of the group to add to the project.

role: string

Identifier of the project role to grant to the group.

ReturnsExpand Collapse
created_at: number

Unix timestamp (in seconds) when the group was granted project access.

formatint64
group_id: string

Identifier of the group that has access to the project.

group_name: string

Display name of the group.

object: "project.group"

Always project.group.

project_id: string

Identifier of the project.

Add project group

curl -X POST https://api.openai.com/v1/organization/projects/proj_abc123/groups \
  -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
  -H "Content-Type: application/json" \
  -d '{
      "group_id": "group_01J1F8ABCDXYZ",
      "role": "role_01J1F8PROJ"
  }'
{
    "object": "project.group",
    "project_id": "proj_abc123",
    "group_id": "group_01J1F8ABCDXYZ",
    "group_name": "Support Team",
    "created_at": 1711471533
}
Returns Examples
{
    "object": "project.group",
    "project_id": "proj_abc123",
    "group_id": "group_01J1F8ABCDXYZ",
    "group_name": "Support Team",
    "created_at": 1711471533
}